/*
 *	LibGame - Copyright (C) Emmanuel Thomas-Maurin 2011-2025
 *	All rights reserved
 */

#ifndef LG_BACKGROUND_H
#define LG_BACKGROUND_H

/* Uncomment if you need  backward comptatibility */
/*
#define lg_draw_bg(LG_NEW, x, y, path)		lg_bg_new(path, x, y)

#define lg_draw_bg(LG_ON, x, y, path)		lg_bg_draw(x, y)

#define lg_draw_bg(LG_FREE, x, y, path)		lg_bg_free()

#define lg_clear_bg(r, g, b)			lg_bg_clear(r, g, b)

#define lg_clear_bg_full(r, g, b, a, mask)	lg_bg_clear_full(r, g, b, a, mask)
#endif
*/

zboolean	lg_bg_new(const char *, int, int);

zboolean	lg_bg_draw(int, int);

zboolean	lg_bg_free();

void		lg_bg_clear(uint8_t, uint8_t, uint8_t);

void		lg_bg_clear_full(uint8_t, uint8_t, uint8_t, uint8_t, GLbitfield);

void		lg_bg_info();

int		lg_read_and_render_screen_back();

#endif /* LG_BACKGROUND_H */
